<?php

$filename = 'c_leitura.php';

if (!file_exists($filename)) {
    header("Location: error.php");
    exit;
}

include 'c_leitura.php';
session_start();
$nivel_necessario = 3;

// Verifica se não há a variável da sessão que identifica o usuário
if (!isset($_SESSION['UsuarioID']) OR ( $_SESSION['UsuarioNivel'] > $nivel_necessario)) {
// Destrói a sessão por segurança
    session_destroy();
// Redireciona o visitante de volta pro login
    header("Location: index.php");
    exit;
}
require_once("db.php");

$argsPost = array(
    'id' => array(
        'filter' => FILTER_SANITIZE_STRING
    )
);

$inputPOST = filter_input_array(INPUT_POST, $argsPost);
$idprod = $inputPOST['id'];
 
try {
   
    if ($_SESSION['UsuarioNivel'] == 1) {
        $query = "DELETE FROM metricas WHERE idprod = '$idprod'";
        $result1 = mysql_query($query);

        $query = "DELETE FROM metrica_parcial WHERE idprod = '$idprod'";
        $result2 = mysql_query($query);

        $query = "DELETE FROM transacoes WHERE idprod = '$idprod'";
        $result3 = mysql_query($query);

        $query = "DELETE FROM leitura WHERE idprod = '$idprod'";
        $result4 = mysql_query($query);

        $query = "DELETE FROM creditos WHERE idprod = '$idprod'";
        $result5 = mysql_query($query);

        $query = "DELETE FROM crashlog WHERE idprod = '$idprod'";
        $result6 = mysql_query($query);

        $query = "DELETE FROM tablet WHERE idprod = '$idprod'";
        $result7 = mysql_query($query);
        
    } elseif ($_SESSION['UsuarioNivel'] == 3) {
       
        $query = "UPDATE tablet SET ativo = 0, status = 0 , ligado = 0 WHERE idprod = '$idprod'";
        $result1 = mysql_query($query) or die(mysql_error());

    }
    echo json_encode(array('success' => 1, 'msg' => 'Tablet deletado com sucesso!'));
} catch (Exception $err) {
    FUNCOES::logMsg($err->getMessage(), 'error', 'logs/error/error_' . date("Y-m-d") . '.log');
    echo json_encode(array('success' => 0, 'msg' => "Erro ao deletar o Tablet! <br>" . $err->getMessage()));
}
// header('Location: tablets.php');
exit;
